Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChats

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chats>
it.tdlight.jni.TdApi.GetChats

Enclosing class:
  TdApi

public static final class TdApi.GetChats extends TdApi.Function<TdApi.Chats>
Returns an ordered list of chats from the beginning of a chat list. For informational purposes only. Use loadChats and updates processing instead to maintain chat lists in a consistent state.

Returns `Chats`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatList`
`chatList`
The chat list in which to return chats; pass null to get chats from the main chat list.
`static final int`
`CONSTRUCTOR`
`int`
`limit`
The maximum number of chats to be returned.

## Constructor Summary

Constructors
Constructor
Description
`GetChats()`
Returns an ordered list of chats from the beginning of a chat list.
`GetChats(TdApi.ChatList chatList, int limit)`
Returns an ordered list of chats from the beginning of a chat list.
`GetChats(DataInput input)`
Returns an ordered list of chats from the beginning of a chat list.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatList

public TdApi.ChatList chatList
The chat list in which to return chats; pass null to get chats from the main chat list.

### limit

public int limit
The maximum number of chats to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetChats

public GetChats()
Returns an ordered list of chats from the beginning of a chat list. For informational purposes only. Use loadChats and updates processing instead to maintain chat lists in a consistent state.

Returns `Chats`

### GetChats

public GetChats(TdApi.ChatList chatList, int limit)
Returns an ordered list of chats from the beginning of a chat list. For informational purposes only. Use loadChats and updates processing instead to maintain chat lists in a consistent state.

Returns `Chats`

Parameters:
  `chatList` - ChatList The chat list in which to return chats; pass null to get chats from the main chat list.
  `limit` - int The maximum number of chats to be returned.

### GetChats

public GetChats(DataInput input) throws IOException
Returns an ordered list of chats from the beginning of a chat list. For informational purposes only. Use loadChats and updates processing instead to maintain chat lists in a consistent state.

Returns `Chats`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`